net.minecraft.item

## Class ItemPickaxe

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemTool
    - - net.minecraft.item.ItemPickaxe

-     public class ItemPickaxe
      extends ItemTool

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.ItemTool

      `efficiencyOnProperMaterial, toolMaterial`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ItemPickaxe(Item.ToolMaterial p_i45347_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_150893_a(ItemStack p_150893_1_, Block p_150893_2_)`
    `boolean` | `func_150897_b(Block p_150897_1_)`

    - ### Methods inherited from class net.minecraft.item.ItemTool

      `func_150913_i, getDigSpeed, getHarvestLevel, getIsRepairable, getItemAttributeModifiers, getItemEnchantability, getToolClasses, getToolMaterialName, hitEntity, isFull3D, onBlockDestroyed`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getItemById, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, isBookEnchantable, isDamageable, isDamaged, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerIcons, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemPickaxe

          protected ItemPickaxe(Item.ToolMaterial p_i45347_1_)

  - ### Method Detail

    - #### func_150897_b

          public boolean func_150897_b(Block p_150897_1_)

      Overrides:
        `func_150897_b` in class `Item`

    - #### func_150893_a

          public float func_150893_a(ItemStack p_150893_1_,
                            Block p_150893_2_)

      Overrides:
        `func_150893_a` in class `ItemTool`